For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/biller/cascade‑rule

get

--notset--

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
cascadeidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
Responses
200

success

successbooleanOptionalExample: true
get/api/biller/cascade-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'cascadeid' => 1,
		'ruleid' => '1533153286:0:1'
	);

$request = array(
	'method' => 'GET',
	'path' => 'biller/cascade-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "cascade_rule": {
    "cascadeid": "1",
    "rule_type": "1",
    "identid": "1",
    "start_time": "1533153286",
    "end_time": "0",
    "start_nice": "2018-08-01 15:54:46",
    "end_nice": "FOREVER",
    "rule_status": 1,
    "advanced": 1,
    "override_identifier_id": [
      "1"
    ],
    "ruleid": "1533153286:0:1",
    "rule_type_nice": "ENABLE",
    "login": [
      {
        "id": 0,
        "name": "ALL"
      }
    ],
    "program": [
      {
        "id": 0,
        "name": "ALL"
      }
    ],
    "site": [
      {
        "id": 0,
        "name": "ALL"
      }
    ],
    "tour": [
      {
        "id": 0,
        "name": "ALL"
      }
    ]
  }
}
post

Add new cascade rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
cascadeidintegerRequired
rule_typestringRequired
loginstringOptional
programstringOptional
sitestringOptional
tourstringOptional
start_timestringOptionalDefault: NOW
end_timestringOptionalDefault: FOREVER
Responses
200

success

successbooleanOptionalExample: true
post/api/biller/cascade-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'cascadeid' => 2,
		'rule_type' => 1,
		'login' => '1',
		'start_time' => 'NOW',
		'end_time' => 'FOREVER'
	);

$request = array(
	'method' => 'POST',
	'path' => 'biller/cascade-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Cascade rule added"
}
delete

Disable cascade rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
cascadeidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
Responses
200

success

successbooleanOptionalExample: true
delete/api/biller/cascade-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'cascadeid' => 1,
		'ruleid' => '1533153286:0:1'
	);

$request = array(
	'method' => 'DELETE',
	'path' => 'biller/cascade-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Cascade rule disabled"
}
patch

Edit cascade rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
cascadeidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
rule_typestringRequired
loginstringOptional
programstringOptional
sitestringOptional
tourstringOptional
start_timestringOptionalDefault: NOW
end_timestringOptionalDefault: FOREVER
Responses
200

success

successbooleanOptionalExample: true
patch/api/biller/cascade-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'cascadeid' => 2,
		'ruleid' => '1533153286:0:1',
		'rule_type' => 1,
		'login' => '1',
		'program' => '1',
		'start_time' => 'NOW',
		'end_time' => 'FOREVER'
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'biller/cascade-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "Cascade rule edited"
}

Last updated

Was this helpful?